Options Order Updates

This endpoint retrieves the current options order alert set — the same contracts that would appear in the Options Order Alert email — including open interest on each products.


Endpoint

GET https://www.asxenergy.com.au/api/options-order

Parameters

Name Type Mandatory Description
market string NO Optional market filter.
Accepted market codes:
- au_electricity
- nz_electricity

Errors

Status When Body
400 market is invalid {"error":"invalid market"}
401
429
Authentication failure or rate limit exceeded See Data API overview

CSV Support

The API supports CSV-formatted responses when requested via the Accept header. To receive data in CSV format, set the following header in your request:

Accept: text/csv

Response

Name Type Mandatory Description
data array YES Options order data listed below

data array items:

Name Type Notes
code string Option code
strike string Strike price in cents
bid_size string (nullable) Best bid quantity
bid string (nullable) Best bid price
ask string (nullable) Best ask price
ask_size string (nullable) Best ask quantity
last string (nullable) Last traded price
volume string (nullable) Session total volume
settle string (nullable) Settlement price when available
open_interest string (nullable) Open interest

Example

Request:

GET https://www.asxenergy.com.au/api/options-order?market=au_electricity

JSON response:

{
  "data": [
    {
      "code": "BNM20260017500C",
      "strike": "17500",
      "bid_size": null,
      "bid": null,
      "ask": null,
      "ask_size": null,
      "last": "0.75",
      "volume": "8",
      "settle": null,
      "open_interest": "70"
    }
  ]
}

CSV response:

code,strike,bid_size,bid,ask,ask_size,last,volume,settle,open_interest
BNM20260017500C,17500,,,,,0.75,8,,70